DCT_MSG={}

DCT_MSG["tut"]=[
"Welcome young Kitten to the C.A.T.B.O.T. interface. I'm Whitepaw, chief \
executive scientist on the C.A.T.B.O.T. project and from now on also your \
mentor. I will guide you through the following tests and will monitor the \
results we achieve.\n\n\
As you already got the documentation about this project shipped to your home \
basket, I will just summarize the situation now.",

"The C.A.T.B.O.T. project is our reply to Techdog - a nearly completed project\
 of the Omega Dog Society (or ODS for short). With Techdog, ODS strives to \
claim a closer position to the 'human heart' than they currently have, thus \
also trying to suppress our latest successes in this field. As you can imagine,\
 this poses a great threat to catkind as we know it now. \n\n\
With C.A.T.B.O.T. we want to create a robot which not only has the same \
qualities as the Techdog, but also outclasses Techdog in every discipline. The \
 best and smartest cats located at the Cat Academy of Technology offices world\
 wide worked days and nights to create the very prototype of C.A.T.B.O.T. you \
will be responsible for today.",

"It will be your task to calibrate C.A.T.B.O.T. by guiding it through several \
tests. C.A.T.B.O.T. will monitor your decisions and will create own algorithms\
 on how decisions are best to be made. In other words: Your success in the \
upcoming tests define the overall operability and efficiency of the final \
C.A.T.B.O.T..\n\n\
Before we start, do you want to receive an introduction to the C.A.T.B.O.T. \
interface?",

"The C.A.T.B.O.T. interface consists of two separate panels with it's own \
dedicated functions. The green framed panel is called the 'Visualizer' and \
will provide optical feedback of the test conditions and how well your written\
 code works. The blue framed panel is called the 'Controller' and will be your\
 main access for controlling C.A.T.B.O.T.. The 'Controller' can be split into \
various parts and I will start by explaining one after the other.",

"On the right side you have the 'code buttons'. These buttons resemble \
predefined code-lines for various actions C.A.T.B.O.T. can perform. The first \
six are very straightforward and self-explanatory, while the following ten are\
 more complex. The 'func'/'function'-buttons resemble macros which can be \
self-written and are a collection of commands that C.A.T.B.O.T. will perform \
when this macro is called, thus sparing some lines of code and making your \
life a lot easier.",

"To create a macro, right-click on one of the 'func'-buttons. A new window \
will open, allowing you to include ten consecutive commands which will be \
performed everytime this macro gets called. To close this window click 'Save'.\
 With 'Clear' you can delete all lines coded for this macro. \n\n\
If you want to add a command from the list on the right, just left-click on it\
 and it will be added to the code.",

"At the bottom of this screen you see the code lines indicated by empty blue \
squares. Every piece of code you chose from the code button list on the right \
will append to the code already written down here. \n\
To the right of each code line is a group of four edit-buttons, which were \
also designed to aid you in creating code for C.A.T.B.O.T.. I will explain \
these buttons to you in the order of their appearance.",

"The first and second one can be used to switch the position of the associated \
line with the line below (first edit-button) or the line above it (second \
edit-button). \n\
The third button can be used to insert a new (empty) code line above the \
associated line. \n\
The fourth and last button deletes the associated line. \n\n\
If you want to directly replace one code with a new one, you also could just \
left-click on the code line in question and click on the desired code button \
in the list on the right.",

"As you already noted you can only see 20 code lines at once, which seldom \
will suffice for the upcoming tests. Thus, you can find a page-control above \
the code lines in yellow color. This control can be used to navigate the pages\
 of code already written, going to the first, the last, the next or the \
previous page by simply left-clicking on one of the arrows. The yellow box in \
between will contain a number indicating which code page you are currently \
viewing.",

"To the left of the page control you have the 'Clear all'-button. As the name \
indicates this button will delete ALL lines of code entered by you in the code\
 lines below. This might be the case if you want to start all over again due \
to too many errors or miscalculations. \n\n\
To the right of the page control you have the 'Skip Level'-button, which will \
enable you to skip the current level und directly continue with the next one. \
This button is deactivated by default.",

"Not visible now, but still present is an error-log located directly under the\
 code-button list on the right. If any errors occur during the processing of \
your code (e.g. running into walls, performing a pick up while nothing's \
there, etc.) these will be highlighted at this location. Please note that only\
 the first three error-lines will be shown, as mostly all consecutive error \
messages are errors directly related to an earlier error. \n\n\
Finally, in the lower right corner, you have the main command buttons. RUN \
will start the processing of the code you entered, while STOP will stop the \
processing. HELP will bring up some information on the interface and test \
elements you will encounter during the upcoming tests. EXIT will shut down \
this console and link you back to the CAT mainframe.",

"In case of any questions regarding the interface, please refer to the help \
pages for short descriptions of the various functions the C.A.T.B.O.T. \
interface can offer to you. \n\n\
I will now start and load the first few tests for initial calibration into \
your interface."
]

DCT_MSG["lvl1"]=[
"Your task in this test is quite simple. \n\n\
Use the 'turn left', 'turn right' and 'forward' commands to navigate \
C.A.T.B.O.T. to the 'Exit element'. \n\n\
As a rule of thumb: For successfull test completion it is always required \
that C.A.T.B.O.T. stops on an exit element."
]

DCT_MSG["lvl1e"]=[
"I did not expect that you will have any difficulties with this test. Let \
us proceed to the next test."
]

DCT_MSG["lvl2"]=[
"This test also should not make any troubles to you. \n\n\
The blinking X symbolizes a 'crate target element'. To move a crate \
element, C.A.T.B.O.T. is required to stand right next to the element and \
face it, then use the 'push' command. \n\n\
As a rule of thumb: For successfull test completion all crate target \
elements need to have a crate element on it."
]

DCT_MSG["lvl2e"]=[
"Perfect, I will load the next test into your interface."
]

DCT_MSG["lvl3"]=[
"As with the two previous test, I do not expect that this test should stop you\
 for long. \n\n\
In this test the 'pellet element' is introduced, visualized by small tunas. \
To collect a pellet element move over it and use the 'pick up' command. \n\n\
As a rule of thumb: For successfull test completion all pellet elements need \
to be collected."
]

DCT_MSG["lvl3e"]=[
"Good work, we will proceed to the next test."
]

DCT_MSG["lvl4"]=[
"Now it's getting interesting. This test features elements you are already \
familiar with from the previous tests, but with an opportunity to shorten the \
amount of code and work you need to invest to successfully complete the test. \n\n\
Take advantage of func-buttons and create a macro that will push the crate \
element on the crate target element, collect the nearby pellet element and get \
into position to repeat this process. Don't be afraid to call a macro more than \
once in a row. \n\n\
As a rule of thumb: If you are required to repeat a specific set of commands, \
consider to create a macro instead for fewer lines of code and faster progress \
in creating whole programs."
]

DCT_MSG["lvl4e"]=[
"Excellent, let us proceed to the last test for initial calibration."
]

DCT_MSG["lvl5"]=[
"The idea for this test design comes from a history entry we found while \
collecting inspirations for the ideal C.A.T.B.O.T.. Many years ago a cat named \
'Nanji' was catnapped by an organization and needed to be rescued by it's \
human companion. It instantly came to our mind that an ideal C.A.T.B.O.T. \
should be able to rescue itself in such a situation. \n\n\
There are a lot of new elements introduced in this test, so I will briefly \
describe these to you.",

"Key elements need to be picked up like pellet elements and are required to \
open door elements. These can be opened by 'using' them. Flower elements can \
be pushed like crate elements, but we are not sure which other purposes these \
flowers do have. The airlock element mostly blocks the way to vital parts, \
for example the exit element, and thus needs to be opened. This can be done \
by using the switch element - a big console with a monitor, keyboard, lamps \
and a leaver.",

"Further, you can see the trigger element. As soon as C.A.T.B.O.T. enters this \
element the Johnny&Evilguy program will be executed, creating two virtual \
Human-Bots that will start to hunt you. You may want to avoid entering this \
field too early and also should make sure that you are not caught. According \
to our records, Humans tend to search and hunt in a rather systematical way, \
so we programmed the Human-Bots in a way to resemble this fact. At a \
crossroad, the one bot will always take the way to the left, while the other\
 bot will always take the way to the right. Take this into consideration."
]

DCT_MSG["lvl5e"]=[
"You did a good job this far. The initial calibration phase is now complete \
and we can start with the real tests. The following tests will progress with \
increasing difficulty. According to our evaluations Techdog's complexity \
grade would equal our 3rd degree of difficulty - so let's see how far we can \
get with this C.A.T.B.O.T. prototype."
]

DCT_MSG["lvl6"]=[
"The tests for the 1st difficulty grade are now initialized. I expect that \
you will overcome these tests very quickly."
]

DCT_MSG["lvl9e"]=[
"Good job, the 1st difficulty grade is complete and we can proceed with the \
next level of difficulty."
]

DCT_MSG["lvl10"]=[
"The tests for the 2nd difficulty grade are now initialized. These tests are \
a bit harder, but I think you will manage these as well as you did with the \
last tests."
]

DCT_MSG["lvl13e"]=[
"Nice work done here. C.A.T.B.O.T. is already creating it's own algorithms \
for basic decisions. So there is no time to stop the progress here and we \
should proceed with the next difficulty level."
]

DCT_MSG["lvl14"]=[
"The following tests are equal to the capabilities of Techdog. Try your best \
as we at least need to develop a robot that is as good as Techdog. Catkind \
depends on this!"
]

DCT_MSG["lvl17e"]=[
"Excellent! You have proven that C.A.T.B.O.T. is at least as good as Techdog \
- and the far better news: We sill have not reached the limits of \
C.A.T.B.O.T.'s capabilities. The algorithms it creates are getting better and \
better and I get the feeling we did a major breakthrough with developing \
C.A.T.B.O.T. - Just another reason why we should keep increasing the \
difficulty degree."
]

DCT_MSG["lvl18"]=[
"Tests for the 4th difficulty grade are now initialized. These tests are \
definitely beyond the capabilities of Techdog, but I personally think that \
C.A.T.B.O.T. should not have any major problems with it. I activated the 'SKIP \
LEVEL'-Button, in case you encounter a test that is too hard to solve. Good \
luck!"
]

DCT_MSG["lvl21e"]=[
"Incredible. You would not believe what the C.A.T.B.O.T. output files are \
telling me, even if you were directly looking at it. The algorithms \
C.A.T.B.O.T. is creating are far more complex than anything else I've seen in \
my time working for the Cat Academy of Technology. We urgently need to \
continue these tests - Just imagine what wonders of technology we could \
discover! - I am increasing the difficulty grade."
]

DCT_MSG["lvl22"]=[
"This is the highest difficulty grade we are currently capable of solving by \
only using our heads. Please try your best and bring this experiment to a \
successfull end. You already accomplished great things today, but this is \
greater than anything catkind ever experienced before."
]

DCT_MSG["lvl24"]=[
"We checked our records and found an old game humans tended to play a while \
ago. Unfortunately, we are not able to recover the whole board, but still \
about 90% of it. We cats never understood this game or how this should be \
solved, but maybe you and C.A.T.B.O.T. can solve it? Good luck on this - if \
you succeed we might better understand the human mind and improve our \
involvement in their world. Good luck!"
]

DCT_MSG["lvl24e"]=[
"Interesting results. Not only did you completed this puzzle, C.A.T.B.O.T.s \
algorithm also did a major jump in complexity and efficiency - I will \
immediately load the next test."
]

DCT_MSG["lvl25"]=[
"This is the last test we were able to generate. We are all very excited what \
this test will do to C.A.T.B.O.T.'s algortihms, but no matter what - you did \
a great job today and nevertheless took an important role in cat history. Let \
us bring this last test down - we are monitoring every data line that enters \
and leaves C.A.T.B.O.T.'s circuits and are eager to see you succeed. Good \
luck, my friend!"
]

DCT_MSG["lvl25e"]=[
"Unbelievable! C.A.T.B.O.T.s algorithms just made the biggest jump I've ever \
seen! The decision making progress is far beyond basic decisions - even far \
beyond Techdogs decision system! You must come to our laboratories and see it \
by yourself!"
]

DCT_MSG["lvle"]=[
"Good Job! While we are evaluating the captured data, please continue with the\
 next test.",
"Perfect! I expected that you would made it.",
"Excellent work! New test will be loaded to your interface.",
"Nicely done! Data was completely transfered and will now be analyzed.",
"Amazing... I uploaded the next test into your interface. Keep up the good \
work."
]
